scim::BoundSlot1_2< R, P1, P2 > Class Template Reference
SignalSlot

Converts a slot taking two arguments into a slot taking one argument. More...

`#include <scim_bind.h>`

## Public Member Functions

| BoundSlot1_2 (Slot2< R, P1, P2 > *slot, P2 p2)
virtual R | call (P1 p1) const
| Calls the original slot passing it argument p1 and the bound argument p as the last parameter.
Public Member Functions inherited from scim::Slot1< R, P1 >
R | operator() (P1 p1) const
| Function operator; Calls call().
Public Member Functions inherited from scim::ReferencedObject
bool | is_referenced () const
void | ref ()
| Increase an object's reference count by one.
void | unref ()

## Additional Inherited Members

Protected Member Functions inherited from scim::Slot1< R, P1 >
| Slot1 ()
| Constructor.
Protected Member Functions inherited from scim::Slot
| Slot ()
| Constructor.
virtual | ~Slot ()=0
| Destructor.
Protected Member Functions inherited from scim::ReferencedObject
| ReferencedObject ()
| Constructor.
virtual | ~ReferencedObject ()=0
| Destructor.
void | set_referenced (bool reference)

## Detailed Description

template<typename R, typename P1, typename P2>
class scim::BoundSlot1_2< R, P1, P2 >

Converts a slot taking two arguments into a slot taking one argument.

## Constructor & Destructor Documentation

## BoundSlot1_2()

template<typename R, typename P1, typename P2>

scim::BoundSlot1_2< R, P1, P2 >::BoundSlot1_2 | ( | Slot2< R, P1, P2 > * | slot,
|  | P2 | p2 )

inline

Constructor.

Parameters

  slot | - a pointer to a slot of type Slot1<R, P1, P2>.
  p2 | - a bound argument of type P2

References scim::slot().

## Member Function Documentation

## call()

template<typename R, typename P1, typename P2>

virtual R scim::BoundSlot1_2< R, P1, P2 >::call | ( | P1 | p1 | ) | const

inline virtual

Calls the original slot passing it argument p1 and the bound argument p as the last parameter.

Implements scim::Slot1< R, P1 >.

The documentation for this class was generated from the following file:

- scim_bind.h